cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/roles?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"grants": [
[
{
"name": "ORG_ROLE_CLUSTER_ADMIN",
"resource": {
"id": "example_cluster_id",
"type": "CLUSTER"
}
}
]
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Lists all RoleGrants
GET
/
api
/
v1
/
roles
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/roles?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"grants": [
[
{
"name": "ORG_ROLE_CLUSTER_ADMIN",
"resource": {
"id": "example_cluster_id",
"type": "CLUSTER"
}
}
]
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
